local wezterm = require 'wezterm';
local act = wezterm.action
return {
  font = wezterm.font("JetBrainsMono Nerd Font Mono"),
  -- font = wezterm.font("Roboto Mono"),
  custom_block_glyphs = false,
  -- font = wezterm.font_with_fallback({
  --   {
  --      family="JetBrains Mono",
  --      weight="Medium",
  --      harfbuzz_features={"calt=0", "clig=0", "liga=0"}
  --   },
  --   {family="Terminus", weight="Bold"},
  --   "Noto Color Emoji"
  -- }),
  harfbuzz_features = {"calt=0", "clig=0", "liga=0"},
  font_size = 10,
  -- font_antialias = "None",
  color_scheme = "Gruvbox Dark",
  hide_tab_bar_if_only_one_tab = true,
  enable_tab_bar = false,
  default_prog = {"/usr/bin/nvim"},
  window_padding = {
    left = 0,
    right = 0,
    top = 0,
    bottom = 0,
  },
  keys = {
    {
      key = 'RightArrow',
      mods = 'SHIFT',
      action = act.ActivateTabRelative(1)
    },
    {
      key = 'LeftArrow',
      mods = 'SHIFT',
      action = act.ActivateTabRelative(-1)
    },
    {
      key = 'LeftArrow',
      mods = 'ALT',
      action = act.ActivatePaneDirection 'Left',
    },
    {
      key = 'RightArrow',
      mods = 'ALT',
      action = act.ActivatePaneDirection 'Right',
    },
    {
      key = 'UpArrow',
      mods = 'ALT',
      action = act.ActivatePaneDirection 'Up',
    },
    {
      key = 'DownArrow',
      mods = 'ALT',
      action = act.ActivatePaneDirection 'Down',
    },
    {
      key = '+',
      mods = 'ALT|SHIFT',
      action = wezterm.action.SplitVertical,
    },
    {
      key = '_',
      mods = 'ALT|SHIFT',
      action = wezterm.action.SplitHorizontal,
    },
  }
}
